Skip to main content
GET
/
corridas
/
{id}
/
detalhes
Consultar detalhes da corrida
curl --request GET \
  --url https://api-vendas.taximachine.com.br/api/v2/integracao/corridas/{id}/detalhes \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'api-key: <api-key>'
{
  "success": true,
  "data": {
    "request_id": 1948853,
    "external_id": "PED-123",
    "full_code": "ABC123456",
    "short_code": "1234",
    "driver": {
      "id": 998,
      "nome": "Condutor Exemplo"
    },
    "enterprise": {
      "id": 12,
      "nome": "Empresa Exemplo"
    },
    "stops": []
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

api-key
string
header
required

Obrigatório. Sua chave API.

Path Parameters

id
integer
required

Identificador interno da corrida.

Response

200 - application/json

Sucesso

The response is of type object.